the requested PHP extension curl is missing from your system

root@BB8:/home/lenin# aptitude update Ign http://dl.google.com stable InRelease Ign http://linux.dropbox.com jessie InRelease Hit http://dl.google.com stable Release.gpg 27% [Esperando las cabeceras] [Esperando las cabeceras] [Esperando las cabecerasE: No se pudo encontrar el método /usr/lib/apt/methods/https.

El Problema

lenin@BB8:~/www/sistemayii2$ composer install
Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
Your requirements could not be resolved to an installable set of packages.

Problem 1
– Installation request for linslin/yii2-curl 1.0.10 -> satisfiable by linslin/yii2-curl[1.0.10].
– linslin/yii2-curl 1.0.10 requires ext-curl * -> the requested PHP extension curl is missing from your system.

To enable extensions, verify that they are enabled in those .ini files:
– /etc/php5/cli/php.ini
– /etc/php5/cli/conf.d/05-opcache.ini
– /etc/php5/cli/conf.d/10-pdo.ini
– /etc/php5/cli/conf.d/20-gd.ini
– /etc/php5/cli/conf.d/20-json.ini
– /etc/php5/cli/conf.d/20-pdo_pgsql.ini
– /etc/php5/cli/conf.d/20-pgsql.ini
– /etc/php5/cli/conf.d/20-readline.ini
You can also run `php –ini` inside terminal to see which files are used by PHP in CLI mode.

 

La solución

Instalar el soporte para CURL de PHP

#aptitude install php5-curl

 

Anuncios

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s